QGIS Application - Feature request #13281
Support different thousand separators for the numeric scalebar in map composer
2015-08-28 11:55 PM - Anita Graser

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21341
Description

Currently, the thousand separator for the numeric scalebar is hard coded to a space, i.e. "1:10 000". This style is uncommon in many parts
of the world where it should be "1:10,000" or "1:10.000". | suggest adding an option to pick a separator character.

Related issues:
Related to QGIS Application - Feature request # 6287: Thousand separators to ... Closed 2012-08-31

History

#1 - 2015-08-31 12:56 AM - Denis Rouzaud
- Status changed from Open to Feedback

As pointed in the related issue, the thousand separator depends on your locale settings.
Isn't it working as expected?

| think the general policy is to avoid adding settings for everything. Here we have the opportunity to use locale settings, so no new option should be
needed.

#2 - 2015-08-31 05:39 AM - Anita Graser

Imho, this is not satisfactory for the following reason: If | have a client/template which requires a certain format, do you expect me to always change my
locale to try find a setting which produces the required formatting? That's not user-friendly at all. Also - if it really works that way - the user has no idea that

the system locale affects this.

#3 - 2015-09-20 07:24 AM - Anita Graser

Would you mind changing this back to "open"? Thanks.

#4 - 2015-10-07 07:52 AM - Anita Graser

Ping

#5 - 2016-04-11 12:06 AM - Michel Kuhimann

+1

#6 - 2016-04-11 12:51 AM - Nyall Dawson
- Status changed from Feedback to Open

#7 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2018-07-23 08:53 PM - Anita Graser

In QGIS 3, the default separator is system dependent, i.e. on an English system, the separator is a comma.

#9 - 2018-07-24 08:39 AM - Alessandro Pasotti

QGIS locale is now configurable in the settings (defaults to system locale).

And the thousands separator can be omitted.

2025-04-26 22



